import request from '@/utils/request'

// 查询工装夹具资源列表
export function listTool(query) {
  return request({
    url: '/md/tool/list',
    method: 'get',
    params: query
  })
}

// 查询工装夹具资源详细
export function getTool(recordId) {
  return request({
    url: '/md/tool/' + recordId,
    method: 'get'
  })
}

// 新增工装夹具资源
export function addTool(data) {
  return request({
    url: '/md/tool',
    method: 'post',
    data: data
  })
}

// 修改工装夹具资源
export function updateTool(data) {
  return request({
    url: '/md/tool',
    method: 'put',
    data: data
  })
}

// 删除工装夹具资源
export function delTool(recordId) {
  return request({
    url: '/md/tool/' + recordId,
    method: 'delete'
  })
}
